Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Is the LB compatible with the 2.4 datalink?

Discussion in 'DJI Lightbridge' started by murchisonx, May 19, 2014.

  1. murchisonx

    Joined:
    Sep 16, 2013
    Messages:
    16
    Likes Received:
    0
    Anyone tried this?
     
  2. ElGuano

    Joined:
    Sep 4, 2013
    Messages:
    2,219
    Likes Received:
    5
    I think on another forum a DJI rep said it's not compatible. They weren't sure about the 900mhz datalink.
     
Loading...
Similar Threads - compatible datalink Forum Date
Galaxy Note 5, Not Compatible with DJI Go? Pro/Adv Discussion Dec 11, 2017
DJIGo4 App on iPhone 8 Not Compatible Phantom 4 Discussion Dec 10, 2017
Phantom 3 SE compatible map app for android or tablet Software Dec 7, 2017
Phantom 4 remote compatible with a P4 Advanced Drone Phantom 4 Discussion Nov 25, 2017
Compatible device Software Oct 5, 2017